<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Ajuda_ajax extends Builder_Controller {

	function __construct()
	{
		  parent::__construct();
		  $this->load->model('site_model');
	}

    public function index()
    {
        $pergunta = $this->input->post('pergunta');
                
        $resposta = $this->site_model->get_resposta($pergunta);
        
        if($resposta){
            
            $json = ['valid' => true,'resposta' => $resposta->resposta, 'pergunta' => $resposta->pergunta];
        }
            
        else{
            $json = ['valid' => false,'erro' => 5,'msg' => "Falha de comunicação com o banco!"];
        }
        
        echo json_encode($json);
    }
}